rpm软件包提示不支持,ubuntu6.06怎么样安装它?

为当前最终发行版之前的所有版本提供支持
回复
zhaoguanfeng
帖子: 44
注册时间: 2006-06-22 9:42
送出感谢: 0
接收感谢: 0

rpm软件包提示不支持,ubuntu6.06怎么样安装它?

#1

帖子 zhaoguanfeng » 2006-08-26 6:35

搞了大半天,装不了播放器,因为默认不支持好多歌曲,电影,,
想装,但提示不支持的文档类型rpm,tar.bz2包呢,又./configure出错,
root : apt-get 看着教程做的也安装不成功,老是提示错误,新装的系统什么也没有,怎么老是这样对我 啊
深受打击.
救 救 我
头像
Jungherr
帖子: 269
注册时间: 2006-07-08 9:00
来自: Deutschland
送出感谢: 0
接收感谢: 0

#2

帖子 Jungherr » 2006-08-26 7:36

ubuntu 是debian的延伸版本,不是RH系列的,自然不支持rpm包。
apt-get 错误有可能是因为你没有添加源,也可能你没有用sudo,具体请把错误帖出来。
ubuntu默认没有装make,自然无法生成configure文件,你无论怎么./configure也没有用
需要安装build-essential。推荐楼主先认真看看关于ubuntu的基本概念。
zhaoguanfeng
帖子: 44
注册时间: 2006-06-22 9:42
送出感谢: 0
接收感谢: 0

#3

帖子 zhaoguanfeng » 2006-08-26 7:49

Jungherr 写了:ubuntu 是debian的延伸版本,不是RH系列的,自然不支持rpm包。
apt-get 错误有可能是因为你没有添加源,也可能你没有用sudo,具体请把错误帖出来。
ubuntu默认没有装make,自然无法生成configure文件,你无论怎么./configure也没有用
需要安装build-essential。推荐楼主先认真看看关于ubuntu的基本概念。
这么早 谢谢付出
aobei
帖子: 14
注册时间: 2006-06-05 14:25
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 aobei » 2006-08-26 15:40

可以安装alien,将rpm转换成deb包

代码: 全选

sudo apt-get install alien
我的源里没有alien,所以没测试过
头像
JangMunho
帖子: 1347
注册时间: 2006-01-18 12:55
来自: 也许真的没有人理解
送出感谢: 0
接收感谢: 1 次

#5

帖子 JangMunho » 2006-08-26 15:54

代码: 全选

sudo apt-get install alien
sudo alien XXXX.rpm
sudo dpkg -i XXXX.deb
MacBook Pro 15" User
Cocoa Programmer
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 karron » 2006-08-26 17:14

除非一些专用软件,基本上没用使用rpm的必要。
习惯ubuntu的特点吧,安装软件比redhat之类的方便多了。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
drivel
帖子: 1917
注册时间: 2006-07-08 9:21
来自: University of Science and Technology Beijing
送出感谢: 1 次
接收感谢: 0
联系:

#7

帖子 drivel » 2006-08-26 17:17

还是不太建议用alien安装,还不如自己编译呢
根据楼主的情况,不如这样,更加方便

代码: 全选

sudo apt-get install beep-media-player totem-xine mplayer-386 mplayer-fonts mozilla-mplayer w32codecs
leeyee
帖子: 723
注册时间: 2006-04-11 9:01
送出感谢: 0
接收感谢: 0

#8

帖子 leeyee » 2006-08-26 18:59

楼主不需要装alien装deb包。
因为你装alien包的时候,由于依赖关系系统会要求安装rpm系统。这样的话你就有了rpm命令,可以直接通过

代码: 全选

sudo rpm -ivh ******.rpm
安装rpm包了。

实际上,楼主可以用Syntapic搜索rpm命令,在你的系统里安装RPM包管理系统就可以了。没有必要安装alien工具。
:-)
I would love to change the world, but they won't give me the source code.
http://hi.baidu.com/wienerlee
revon
帖子: 23
注册时间: 2008-11-14 17:32
送出感谢: 0
接收感谢: 0

Re:

#9

帖子 revon » 2008-11-20 9:49

aobei 写了:可以安装alien,将rpm转换成deb包

代码: 全选

sudo apt-get install alien
我的源里没有alien,所以没测试过
不好意思,问个比较白痴的问题。
是不是执行命令 sudo apt-get install alien 之前,要提前下载好alien的包啊。
我看论坛里面给出的回复都是说,运行如下命令,都没有提高过要先下载源包,最好给个link。
我刚学linux,谢谢。
回复

回到 “老旧版本支持”